Unverified Commit 64e1616f authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump derive_more from 0.99.16 to 0.99.17 (#4394)

Bumps [derive_more](https://github.com/JelteF/derive_more) from 0.99.16 to 0.99.17.
- [Release notes](https://github.com/JelteF/derive_more/releases)
- [Changelog](https://github.com/JelteF/derive_more/blob/master/CHANGELOG.md)
- [Commits](https://github.com/JelteF/derive_more/compare/v0.99.16...v0.99.17

)

---
updated-dependencies:
- dependency-name: derive_more
  dependency-type: direct:production
  update-type: version-update:semver-patch
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent e4159a01
Pipeline #168534 failed with stages
in 20 minutes and 17 seconds
......@@ -1467,14 +1467,14 @@ dependencies = [
[[package]]
name = "derive_more"
version = "0.99.16"
version = "0.99.17"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "40eebddd2156ce1bb37b20bbe5151340a31828b1f2d22ba4141f3531710e38df"
checksum = "4fb810d30a7c1953f91334de7244731fc3f3c10d7fe163338a35b9f640960321"
dependencies = [
"convert_case",
"proc-macro2",
"quote",
"rustc_version 0.3.3",
"rustc_version 0.4.0",
"syn",
]
......
......@@ -14,7 +14,7 @@ lru = "0.7"
merlin = "2.0"
schnorrkel = "0.9.1"
kvdb = "0.10.0"
derive_more = "0.99.14"
derive_more = "0.99.17"
polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
......
......@@ -10,7 +10,7 @@ futures = "0.3.17"
tracing = "0.1.29"
parity-scale-codec = "2"
kvdb = "0.10.0"
derive_more = "0.99.14"
derive_more = "0.99.17"
thiserror = "1.0.30"
polkadot-primitives = { path = "../../../primitives" }
......
......@@ -18,7 +18,7 @@ sp-core = { git = "https://github.com/paritytech/substrate", branch = "master",
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.30"
rand = "0.8.3"
derive_more = "0.99.11"
derive_more = "0.99.17"
lru = "0.7.0"
[dev-dependencies]
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
always-assert = "0.1.2"
derive_more = "0.99.14"
derive_more = "0.99.17"
futures = "0.3.17"
futures-timer = "3"
thiserror = "1.0.30"
......
......@@ -7,7 +7,7 @@ edition = "2018"
[dependencies]
futures = "0.3.17"
tracing = "0.1.29"
derive_more = "0.99.14"
derive_more = "0.99.17"
parity-scale-codec = { version = "2.3.1", features = ["std"] }
polkadot-primitives = { path = "../../../primitives" }
polkadot-erasure-coding = { path = "../../../erasure-coding" }
......
......@@ -14,6 +14,6 @@ parity-scale-codec = { version = "2.3.1", default-features = false, features = [
sc-network = { git = "https://github.com/paritytech/substrate", branch = "master" }
sc-authority-discovery = { git = "https://github.com/paritytech/substrate", branch = "master" }
strum = { version = "0.23", features = ["derive"] }
derive_more = "0.99.11"
derive_more = "0.99.17"
futures = "0.3.17"
thiserror = "1.0.30"
......@@ -18,7 +18,7 @@ polkadot-node-network-protocol = { path = "../../network/protocol" }
arrayvec = "0.5.2"
indexmap = "1.7.0"
parity-scale-codec = { version = "2.3.1", default-features = false, features = ["derive"] }
derive_more = "0.99.11"
derive_more = "0.99.17"
thiserror = "1.0.30"
[dev-dependencies]
......
......@@ -6,7 +6,7 @@ edition = "2018"
description = "Subsystem traits and message definitions"
[dependencies]
derive_more = "0.99.11"
derive_more = "0.99.17"
futures = "0.3.17"
polkadot-primitives = { path = "../../primitives" }
polkadot-node-primitives = { path = "../primitives" }
......
......@@ -14,7 +14,7 @@ pin-project = "1.0.8"
rand = "0.8.3"
thiserror = "1.0.30"
tracing = "0.1.29"
derive_more = "0.99.11"
derive_more = "0.99.17"
lru = "0.7.0"
polkadot-node-subsystem = { package = "polkadot-node-subsystem", path = "../subsystem" }
......
......@@ -11,7 +11,7 @@ log = { version = "0.4.14", default-features = false }
rustc-hex = { version = "2.1.0", default-features = false }
scale-info = { version = "1.0", default-features = false, features = ["derive"] }
serde = { version = "1.0.130", features = [ "derive" ], optional = true }
derive_more = "0.99.14"
derive_more = "0.99.17"
bitflags = "1.3.2"
sp-api = { git = "https://github.com/paritytech/substrate", branch = "master", default-features = false }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment